App Compatibility


Download for iOS

The iOS version is compatible with iOS 9.0 or later. Compatible devices include:

  • iPhone 5s, 6, 6 Plus, 6S, 6S Plus
  • iPad mini 2, 3, 4
    • Cellular required for map access in flight
    • Cellular required for Follow Me

Can run the Solo App, but not compatible with Controller mount:

  • iPad Air, iPad Air 2
  • iPad Pro


Download for Android (Android users must also install 3DR Services onto their device)

The Android version is compatible with Android 4.3 or later, and requires your device to have GPS capabilities (not all devices have this capability).


Compatible devices include:

Best phones: Galaxy S5, S6, Nexus 5, 6, 6P, Moto X

Best tablets: Galaxy Tab Pro 8.4, Nexus 9



  • Galaxy S4 (mini), S5, S6, S6 Edge
  • Galaxy Note 3, 4
  • Galaxy A5
  • Galaxy Tab A, Tab S, Tab 4, Tab Pro, Note 8


  • G4, G Pad, G Pad 2


  • Nexus 7 (2013), 9
  • Nexus 5, 6, 9, 6P


  • One M7, M8, M9, A9
  • Desire


  • Moto G, E, X
  • Droid Turbo


  • Xperia Z3, Z4, Z5 (Phones and Tablets)
  • C4, C5, M5, Tipo


  • ZenPhone, ZenPad, MeMo Pad


  • Venue 7, 8


  • OnePlus One, X, Two
  • Nvidia Shield Tab
  • Lenovo Tab, Vibe Shot
  • Acer Iconia Tab 8
  • Archos Xenon, Helium
  • Foxconn Ghost, BenQ, Phoenix2
  • Intel Cloudpad One, ViewPad
  • Kyocera Urbano
  • Micromax Canvas, Bolt
  • Sharp Aquos Zeta, Xx
  • Xiaomi HM Note

If you have an Android device not listed, join the Solo Beta Google Group for access to the Beta version of the Android app and to discuss whether your device is unofficially supported.

Once you have downloaded the Solo app, click here to connect with Solo.

Live Chat

Available hours: 8am - 5pm PST


Email our team for support

Hardware Services

Find an Authorized Service Center